﻿$ErrorActionPreference = 'Stop'

$packageName = $env:ChocolateyPackageName
$url32       = 'https://github.com/matusnovak/doxybook2/releases/download/v1.2.0/doxybook2-windows-win32-v1.2.0.zip'
$url64       = 'https://github.com/matusnovak/doxybook2/releases/download/v1.2.0/doxybook2-windows-win64-v1.2.0.zip'
$checksum32  = '67b4fd47486a6d606c21a35a2857e615851f8436181fd7f0837c0f2cc2cf6a4e'
$checksum64  = '1809c1aea5e44881add2443fd2b66ded3e3f51348407eb75757858273b04ed70'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'ZIP'
  url            = $url32
  url64Bit       = $url64
  checksum       = $checksum32
  checksum64     = $checksum64
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  unzipLocation  = Split-Path $MyInvocation.MyCommand.Definition
  validExitCodes = @(0)
}
Install-ChocolateyZipPackage @packageArgs
